#!/bin/bash
# ---------------------------------------------------------------------------------------
# Runs the FocalD calculator that creates a surface of fractal dimension values for the
# window around each raster cell. To use, open a shell window and then change to the 
# directory in which this file is located (e.g. cd ~/landserf220/addons) and type 
# 'FocalD surface.srf' where surface.srf is the landserf raster you wish to measure. You 
# can optionally specify the size of the window to use which must be at least 9x9. If not
# specified, the window size stored in the raster will be used. Output will be a file with
# the same name but with FocalD appended. For example
# FocalD ~/data/myRaster.srf 25 
# will create a new file called myRasterFocalD.srf in the same directory containing fractal
# dimensions measured in the 25x25 cell window surrounding each cell.
# Version 1.0, 7th June, 2005.
# Copyright Jo Wood, 2005.
# ---------------------------------------------------------------------------------------

java -classpath .;../jars/landserf220.jar;../jars/utils.jar FocalD $1 $2

